Subject: [Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions

From: Christian Hopps <[email-masked]>
Date: Thu, 23 Jan 2020 15:24:36 -0500

Hi LSR WG and Draft Authors,

The authors originally requested adoption back @ 105; however, some comments were received and new version was produced. Moving forward...

This begins a 2 week WG adoption poll for the following draft:

  https://datatracker.ietf.org/doc/draft-li-lsr-ospfv3-srv6-extensions/
 
Please indicate your support or objection by Feb 6, 2020.

Authors, please respond indicating whether you are aware of any IPR that applies to this draft.

Thanks,
Chris & Acee.

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Fri, 24 Jan 2020 12:53:55 +0000

Support!

Thanks

Regards … Zafar

From: Lsr <[email-masked]> on behalf of Christian Hopps <[email-masked]>
Date: Thursday, January 23, 2020 at 3:25 PM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Christian Hopps <[email-masked]>, "Acee Lindem (acee)" <[email-masked]>
Subject: [Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions

Thanks,
Chris & Acee.
_______________________________________________
Lsr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lsr

---

From: Huaimo Chen <[email-masked]>
Date: Fri, 24 Jan 2020 14:38:02 +0000

Support.

Best Regards,

Huaimo

  https://datatracker.ietf.org/doc/draft-li-lsr-ospfv3-srv6-extensions/<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-li-lsr-ospfv3-srv6-extensions%2F&data=02%7C01%7Chuaimo.chen%40futurewei.com%7Cec9fda41c1404d9bf37d08d7a0cc8245%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637154672551852584&sdata=Zi4mWecNx8oBAgOCL3J4KwsbZ7f6wK%2F7dC7jOmuW0%2Fc%3D&reserved=0>

Thanks,

Chris & Acee.

Lsr mailing list

https://www.ietf.org/mailman/listinfo/lsr<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Flsr&data=02%7C01%7Chuaimo.chen%40futurewei.com%7Cec9fda41c1404d9bf37d08d7a0cc8245%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637154672551862580&sdata=vUzN9k%2FmfoX%2BREt1DitgBhsjT9PqqLeYer0paPGyMF0%3D&reserved=0>

---

From: Huzhibo <[email-masked]>
Date: Fri, 24 Jan 2020 14:56:40 +0000

Support. Not aware of any undisclosed IPR.

Zhibo

--------------------------------------------------
胡志波 Hu Zhibo
Mobile: +86-18618192287<tel:+86-18618192287>
Email: [email-masked]<mailto:[email-masked]>

发件人：Christian Hopps <[email-masked]>
收件人：lsr <[email-masked]>
抄 送：draft-li-lsr-ospfv3-srv6-extensions <[email-masked]>;lsr-ads <[email-masked]>;Christian Hopps <[email-masked]>;Acee Lindem (acee) <[email-masked]>
时 间：2020-01-24 04:25:13
主 题：[Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions

Thanks,
Chris & Acee.
[email-masked]

---

From: "Xiejingrong (Jingrong)" <[email-masked]>
Date: Fri, 24 Jan 2020 15:15:42 +0000

support.

From:Christian Hopps <[email-masked]>
To:lsr <[email-masked]>
Cc:draft-li-lsr-ospfv3-srv6-extensions <[email-masked]>;lsr-ads <[email-masked]>;Christian Hopps <[email-masked]>;Acee Lindem (acee) <[email-masked]>
Date:2020-01-24 04:25:11
Subject:[Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions

Thanks,
Chris & Acee.

---

From: Peter Psenak <[email-masked]>
Date: Fri, 24 Jan 2020 16:38:38 +0100

Hi Chris, Acee,

as a coauthor, I support the WG adoption of this document.

I'm not aware of any undisclosed IPRs.

thanks,
Peter

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 24 Jan 2020 16:05:29 +0000

Speaking as WG member:

I have reviewed the document and my comments have been incorporated. I support WG adoption.

Thanks,
Acee

On 1/23/20, 3:25 PM, "Lsr on behalf of Christian Hopps" <[email-masked] on behalf of [email-masked]> wrote:

    

    
    
    Thanks,
    Chris & Acee.

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 24 Jan 2020 16:22:42 +0000

Hi All,

Support the draft as a co-author and I am not aware of any IPR other than what has been disclosed on this draft.

Thanks,
Ketan

-----Original Message-----
From: Christian Hopps <[email-masked]> 
Sent: 24 January 2020 01:55
To: [email-masked]
Cc: Christian Hopps <[email-masked]>; Acee Lindem (acee) <[email-masked]>; [email-masked]; [email-masked]
Subject: WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions

 

Thanks,
Chris & Acee.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 24 Jan 2020 16:54:59 +0000

I support adopting this draft.

   Les

> From: Lsr <[email-masked]> On Behalf Of Christian Hopps
> Sent: Thursday, January 23, 2020 12:25 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; Christian
> Hopps <[email-masked]>; Acee Lindem (acee) <[email-masked]>
> The authors originally requested adoption back @ 105; however, some
> comments were received and new version was produced. Moving forward...
>

---

From: Lizhenbin <[email-masked]>
Date: Sun, 26 Jan 2020 09:34:30 +0000

Best Regards,
Zhenbin (Robin)

--------------------------------------------------
李振斌 Li Zhenbin
Mobile: +86-13651017745/+968-91797068
Email: [email-masked]<mailto:[email-masked]>

发件人：Christian Hopps <[email-masked]>
收件人：lsr <[email-masked]>
抄 送：Christian Hopps <[email-masked]>;Acee Lindem (acee) <[email-masked]>;lsr-ads <[email-masked]>;draft-li-lsr-ospfv3-srv6-extensions <[email-masked]>
时 间：2020-01-24 04:24:51
主 题：WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions

Thanks,
Chris & Acee.

---

From: Zhuangshunwan <[email-masked]>
Date: Wed, 29 Jan 2020 02:56:12 +0000

Support.

Thanks,
Shunwan

-----Original Message-----
From: Lsr [mailto:[email-masked]] On Behalf Of Christian Hopps
Sent: Friday, January 24, 2020 4:25 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; Christian Hopps <[email-masked]>; Acee Lindem (acee) <[email-masked]>
Subject: [Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions

 

Thanks,
Chris & Acee.

---

From: "[email-masked]" <[email-masked]>
Date: Thu, 30 Jan 2020 11:16:12 +0800

support the adoption with the following comments.

1. What does SRH stack mean in section 4.2? AS specified in RFC8200 and draft-ietf-6man-segment-routing-header, only one SRH can be presented in one IPv6 header.
2. The abbreviations used in this draft should be listed in a seperated section or point out where they are defined.
3. Algorithm field is defined for End.x SID to carry the algorithm the end.x sid associates. But no algorithm field is defined for End SID in section 7. May I know the reason?

Best Regards,
Zhenqiang Li

[email-masked]
 
From: Christian Hopps
Date: 2020-01-24 04:24
To: lsr
CC: draft-li-lsr-ospfv3-srv6-extensions; lsr-ads; Christian Hopps; Acee Lindem \(acee\)
Subject: [Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions
Hi LSR WG and Draft Authors,

 

Thanks,
Chris & Acee.

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 30 Jan 2020 05:42:40 +0000

Hello Zhenqiang Li,

Thanks for your review and comments. Please check inline below.

From: [email-masked] <[email-masked]>
Sent: 30 January 2020 08:46
To: Christian Hopps <[email-masked]>; lsr <[email-masked]>
Cc: draft-li-lsr-ospfv3-srv6-extensions <[email-masked]>; lsr-ads <[email-masked]>; Christian Hopps <[email-masked]>; Acee Lindem (acee) <[email-masked]>
Subject: Re: [Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions

[KT] Thanks for catching this error and will fix as below:

OLD: The Maximum End Pop MSD Type specifies the maximum number of SIDs in
   the top SRH in an SRH stack to which the router can apply Penultimate
   Segment Pop (PSP) or Ultimate Segment Pop (USP)

NEW: The Maximum End Pop MSD Type specifies the maximum number of SIDs in

   the SRH for which the router can apply Penultimate

   Segment Pop (PSP) or Ultimate Segment Pop (USP)

2. The abbreviations used in this draft should be listed in a seperated section or point out where they are defined.
[KT] We've followed the convention of expanding on first use as also providing reference where necessary. Please do let know if we've missed doing so anywhere.

3. Algorithm field is defined for End.x SID to carry the algorithm the end.x sid associates. But no algorithm field is defined for End SID in section 7. May I know the reason?
[KT] The SRv6 Locator TLV that is the parent of the SRv6 End SID Sub-TLV carries the algorithm and hence there is no need to repeat in the Sub-TLV. This is not the case for SRv6 End.X SID Sub-TLV and hence it has the algorithm field.

Thanks,
Ketan

Best Regards,
Zhenqiang Li
________________________________
[email-masked]<mailto:[email-masked]>

From: Christian Hopps<mailto:[email-masked]>
Date: 2020-01-24 04:24
To: lsr<mailto:[email-masked]>
CC: draft-li-lsr-ospfv3-srv6-extensions<mailto:[email-masked]>; lsr-ads<mailto:[email-masked]>; Christian Hopps<mailto:[email-masked]>; Acee Lindem \(acee\)<mailto:[email-masked]>
Subject: [Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions
Hi LSR WG and Draft Authors,

Thanks,
Chris & Acee.

---

From: "[email-masked]" <[email-masked]>
Date: Thu, 30 Jan 2020 16:15:30 +0800

Thank you KT for your quick response. Please see my reply begins with [ZQ].

Best Regards,
Zhenqiang Li

[email-masked]
 
From: Ketan Talaulikar (ketant)
Date: 2020-01-30 13:42
To: [email-masked]; Christian Hopps; lsr
CC: draft-li-lsr-ospfv3-srv6-extensions; lsr-ads; Christian Hopps; Acee Lindem (acee)
Subject: RE: [Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions
Hello Zhenqiang Li,

 

 
 
NEW: The Maximum End Pop MSD Type specifies the maximum number of SIDs in   the SRH for which the router can apply Penultimate   Segment Pop (PSP) or Ultimate Segment Pop (USP)

[ZQ] Fine.
 
2. The abbreviations used in this draft should be listed in a seperated section or point out where they are defined.
[KT] We’ve followed the convention of expanding on first use as also providing reference where necessary. Please do let know if we’ve missed doing so anywhere.

[ZQ] Some examples: SPF computation in secction 5,  TBD in section 2.

[ZQ] Make sense but still a little bit weird. Since any SID belongs to a locator, or it is not routable, the algorithm field in the end.x sid is not needed, end.x sid associates the algorithm carried in the corresponding locator tlv.
 
Thanks,
Ketan
 
Best Regards,
Zhenqiang Li

[email-masked]
 
From: Christian Hopps
Date: 2020-01-24 04:24
To: lsr

 

Thanks,
Chris & Acee.

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 30 Jan 2020 08:44:02 +0000

Please check inline again.

From: [email-masked] <[email-masked]>
Sent: 30 January 2020 13:46
To: Ketan Talaulikar (ketant) <[email-masked]>; Christian Hopps <[email-masked]>; lsr <[email-masked]>
Cc: draft-li-lsr-ospfv3-srv6-extensions <[email-masked]>; lsr-ads <[email-masked]>; Christian Hopps <[email-masked]>; Acee Lindem (acee) <[email-masked]>
Subject: Re: RE: [Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions

Best Regards,
Zhenqiang Li

From: Ketan Talaulikar (ketant)<mailto:[email-masked]>
Date: 2020-01-30 13:42
To: [email-masked]<mailto:[email-masked]>; Christian Hopps<mailto:[email-masked]>; lsr<mailto:[email-masked]>
CC: draft-li-lsr-ospfv3-srv6-extensions<mailto:[email-masked]>; lsr-ads<mailto:[email-masked]>; Christian Hopps<mailto:[email-masked]>; Acee Lindem (acee)<mailto:[email-masked]>
Subject: RE: [Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions
Hello Zhenqiang Li,

From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Sent: 30 January 2020 08:46
To: Christian Hopps <[email-masked]<mailto:[email-masked]>>; lsr <[email-masked]<mailto:[email-masked]>>
Cc: draft-li-lsr-ospfv3-srv6-extensions <[email-masked]<mailto:[email-masked]>>; lsr-ads <[email-masked]<mailto:[email-masked]>>; Christian Hopps <[email-masked]<mailto:[email-masked]>>; Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions

[ZQ] Fine.

[ZQ] Some examples: SPF computation in secction 5,  TBD in section 2.
[KT] Will expand SPF and some other such on first use :-). The TBD (to be decided) is for use until the code point are allocated by IANA.

[KT] Having an algorithm field advertised with the End.X SID makes it easier for implementation to find the algorithm specific End.X SID without making the longest prefix match on all locators advertised by the node to find the algorithm to which the SID belongs. It also makes it possible to verify that the algorithm associated with the End.X SID matches that of the covering Locator when the link advertisement with End.X SID is received.

Thanks,

Ketan

Thanks,
Ketan

Best Regards,
Zhenqiang Li

Thanks,
Chris & Acee.

---

From: "[email-masked]" <[email-masked]>
Date: Thu, 30 Jan 2020 23:17:51 +0800

For the third concern, I think it is better to list the considerations behind the format design of the TLVs to help readers understand them better. For the specification behavior you mention, this doc SHOULD specify it explicitly.
By the way, what a router should do when it receives END.X SID containing algorithm that is different from the one carried in the convering locator?

Best Regards,
Zhenqiang Li

[email-masked]
 
Date: 2020-01-30 16:44
Subject: RE: RE: [Lsr] WG Adoption Call for draft-li-lsr-ospfv3-srv6-extensions

 
Best Regards,
Zhenqiang Li

[email-masked]

 

 

[ZQ] Fine.

 

Thanks,
Ketan
 
Thanks,
Ketan
 
Best Regards,
Zhenqiang Li

[email-masked]
 
From: Christian Hopps
Date: 2020-01-24 04:24
To: lsr

 

Thanks,
Chris & Acee.